#include <stdio.h>

#define NUMBOTS 3

typedef struct {
    int on;
    int off;

    int watching;
    int counter;
} Bot;

int main() {
    Bot bots[NUMBOTS];

    for (int i = 0; i < NUMBOTS; i++) {
        scanf("%d %d\n", &bots[i].on, &bots[i].off);
        bots[i].watching = 1;
        bots[i].counter = bots[i].on;
    }

    /* keep looping until it happens */
    for (int second = 0; ; second++) {

        /* check if all the bots are not watching AND the counter is at least 10 */
        int safe = 1;
        for (int i = 0; i < NUMBOTS; i++) {
            if (bots[i].watching || bots[i].counter < 10) {
                safe = 0;
            }
        }

        /* if so we can make it across now! */
        if (safe) {
            printf("CORA can cross at second %d\n", second);
            break;
        }
        
        /* update states */
        for (int i = 0; i < NUMBOTS; i++) {
            bots[i].counter--;

            if (bots[i].counter == 0) {
                bots[i].watching = !bots[i].watching;
                bots[i].counter = bots[i].watching ? bots[i].on : bots[i].off;
            }
        }
    }

    return 0;
}

