#include <stdio.h>
#include <stdlib.h>

int desc_cmp(const void* ap, const void* bp) {
    return *((int*) ap) < *((int*) bp);
}

/* return the sum of an array of ints */
int sum(int* array, int size) {
    int total = 0;
    for (int i = 0; i < size; i++) {
        total += array[i];
    }
    return total;
}

int main() {
    int limit, n, boxes[1000];
    scanf("%d\n%d\n", &limit, &n);

    for (int i = 0; i < n; i++) {
        scanf("%d\n", &boxes[i]);
    }

    /* sort the list of boxes in descending order */
    qsort(boxes, n, sizeof(int), &desc_cmp);

    /* keep looping until we are under the weight limit */
    int removed = 0;
    while (sum(boxes + removed, n - removed) + 200 > limit) {
        removed++;
    }

    printf("%d\n", removed);

    return 0;
}

